#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    for(int i=1, j=2*n,p=0;i<=n;i++,j--,p++){
        if(p==n/2)
        cout<<endl;
        cout<<j<<" "<<i<<" ";
    }
}